VDR Plugin 'xineliboutput' Revision History
-------------------------------------------

2018-01-10: Version 2.1.0

- Fixed HD buffering issues with recent xine-lib versions.
- Fixed concatenating multiple --post command line options.
- Fixed leaks.
- Added ARGB overlay compression.
- Added mapping of F11 key to fullscreen toggle (sxfe).
- Added check for missing xine plugins.
- Improved stability and error resilence.
- Improved portability.
- Default to OpenGL 2 video output when available. Warn when inefficient video output is used.
- "Dust removal".

2017-03-12: Version 2.0.0

- Moved from CVS to GIT (see README)
- Support vdr-2.3.1
- Dropped support for vdr < 2.0
- Fixed problems with xine-lib 1.2.7+
- Fixed ts demuxing with some video streams (Thanks to Niedermeier Guenter).
- Fixed primary device switching.
- Fixed segfault when playing audio-only stream with visualization (Thanks to Tobias Grimm).
- Fixed toggling fullscreen mode.
- Fixed lost post processing when stream is reconnected.
- Fixed HUD OSD crash with UHD resolution video output.
- Added mDNS announces (tested with VLC).
- Added an option to trigger vdr-suspendoutput when there are no connected clients.
- Added HDMI-CEC input support (libcec).
- Added support for cDevice::ScaleVideo().
- Added an option to disable media player resume file creation.
- Added PRIM command into SVDRP interface.
- Added option to use True Color OSD when no client is connected.
- Added support for HEVC.
- Improved H.264 support.
- Bug fixes.
- Build system updates.
- Translation updates.

2013-08-20: Version 1.1.0

- Added simple touchscreen remote controller to vdr-sxfe
- Added XShape support for HUD OSD: opaque HUD OSD when no compositing manager
  (Thanks to grueni75)
- Added support for background image streams (display images or videos while playing music)
  (Thanks to Helmar Gerloni)
- Added manual ordering to playlist menu (Thanks to Marco Skambraks)
- Hide mouse cursor after 2 seconds mouse inactivity (Thanks to Gerald Dachs)
- Added support for Alt and Ctrl key modifiers to X11 keyboard remote controller.
- Added support for yaepg(hd) video window with HUD OSD (Thanks to grueni75)
- New, smoother live mode SCR sync algorithm (Thanks to Dirk Brenken)
- Scale or re-position SD subtitles on HD OSD (Thanks to Rolf Ahrenberg)
- Added an option to select subtitle OSD scaling or re-positioning
- Use xineliboutput/allowed_hosts.conf instead of svdrphosts.conf
- Implemented demuxer with mpeg-ts support
- Initial support for vdr-1.7.15
- Support for multilayer OSD
- Improved OSD scaling (OSD reacts now immediately to frame size changes)
- Replaced cIConv with VDR's cCharConv.
- Supports only for vdr-1.6.0 or later.
- Implemented build-time configuration script
- Fixed aspect ratio problems when using ffmpeg mpeg2 decoder
- H.264 updates
- Added support for .ass subtitles to media player (Thanks to zaverel)
- Added support for .smi subtitles to media player
- Added OpenGL HUD OSD support: HUD OSD without compositing / window manager
  (thanks to grueni75)
- Added tearing-free OpenGL video output support with high-quality OSD (thanks to grueni75)

2011-07-10: Version 1.0.7  (branch-1_0_x)
Backported bugfixes from CVS trunk:
- Accept short X11 display names (:0)
- Improved vdr server discovery when server is listening on all interfaces
Features:
- Updated Italian translations (Thanks to Diego Pierotto)
- Default to UDP transport. RTP is enabled only if requested on command line.
- Improved automatic BluRay subtitle selection
- React to X11 display size changes
- Do not show hidden files in media player file browser
- Added config entry to show hidden files in media player file browser
- Added --geometry and --window options to vdr plugin.
- Allow setting window position when starting in fullscreen mode.

2011-02-28: Version 1.0.6  (CVS branch-1_0_x for vdr.1.4.x and vdr-1.6.x)
Backported bugfixes from CVS trunk:
- Fixed VDR OSD when playing DVDs
- Fixed compilation with libextractor 0.6.0 (Thanks to Martin Knoll)
- Fixed blanking
- Fixed grab with jpeg7 and later
- Fixed segfault when grabbing
- Fixed unaligned access in swscale post plugin
- Fixed remote access thru NAT firewall
- Fixed OSD sending problems in remote mode
- Fixed handling of kBack in DVD player (Reported by Marco Skambracks)
- Fixed generating LIRC key release events (bug #2919256) (Thanks to Claudius Peschke)
- Fixed mixer volume being reset at vdr-sxfe start when using software volume control
  (Thanks to Juergen Lock)
- Fixed lot of compiler warnings (Thanks to Winfried Koehler)
- Reject clients when not primary device
- Do not lose the key pressed while displaying "Queued to playlist" message
  (Thanks to Marco Skambraks)
- Escape only raw file names, not complete mrls (bug #2670927)
- Add mrl prefix ("file:") to escaped subtitle file name
- Query CDDA track count before starting playback
- Create frontend config directory if it does not exist (bug #2796595)
Features:
- Added Chinese translations (Thanks to NanFeng)
- Added Estonian translations (Thanks to Arthur Konovalov)
- Added Ukrainian translations (Thanks to Yarema aka Knedlyk)
- Added FreeBSD compatibility (Thanks to Juergen Lock and Joerg Pulz)
- Added support for libextractor 0.6.0 API (Thanks to Martin Knoll)
- Updated logo (Thanks to Stefan Wagner)
- Configurable media player menu
- Improved automatic letterbox cropping (Thanks to Andreas Auras)
- Replaced build-time options INTERPRET_LIRC_KEYS and FE_TOGGLE_FULLSCREEN
  with run-time option --hotkeys
- Added system shutdown functionality to frontends
- Added support for video in X11 root window
- Added support for entering text using letter keys
- Added "Rewind" key to media files menu
- Added DVD menu navigation keys option
- Added support for BluRay and m2ts files
- Added --terminal, --buffers and --geometry options to vdr-??fe
- Added Gnome screensaver support to vdr-sxfe (Thanks to Alex Stansfield)
- Added sharpness and noise reduction setup options for VDPAU
- Added image grabbing in PNM format
- Added image grabbing support for VDPAU (Thanks to Andreas Auras)
- Added VDPAU support to letterbox cropping (Thanks to Andreas Auras)
- Added '-C'/'--config' command-line option to specify xine's configuration file.
- Added an option to limit number of remote clients
- Added an option to adjust the stepping value that is used for
  metronom live mode sync (Thanks to Andreas Auras)
- Added an option to use smoother SCR tuning (Thanks to Thomas Hilber and Paul Menzel)
  (smooth tuning can be enabled with xine-lib config key media.xvdr.smooth_scr_tuning)
- Added an option to use xine-lib DVB subtitles decoder

2010-02-07: Version 1.0.5  (branch-1_0_5)
Backported bugfixes from CVS trunk:
- Fixed compilation with gcc-4.4.0 and recent glibc
- Fixed memory leaks
- Fixed setting focus in vdr-sxfe fullscreen mode
- Fixed sending complex OSDs
- Fixed image player when playing non-local mrls (Thanks to Rolf Ahrenberg)
- Changed the default grab quality to match VDR's documentation (Thanks to Rolf Ahrenberg)
Features:
- Added preliminary SVDRP interface (Thanks to Rolf Ahrenberg)
- Added StartFrontend-1.0 service (Thanks to durchflieger)

2009-02-12: Version 1.0.4  (branch-1_0_x)
Backported bugfixes from CVS trunk:
- Updated Italian translations (Thanks to Diego Pierotto)
- Fixed default grab quality (Thanks to Jochen Dolze, patch #2454827)
- Added math library (-lm) to vdr-sxfe when building with
  Xrender / HUD OSD support (Thanks to Anssi Hannula)
- Reduced H.264 logging
- Fixed CD track count query
- Fixed mrl backwards compability

2008-10-24: Version 1.0.3  (branch-1_0_x)
Backported bugfixes from CVS trunk:
- Added missing sxfe display locks (Thanks to Antti Seppälä)
- Modified HUD OSD scaling parameters (Thanks to Rolf Ahrenberg)
- Fixes to HUD OSD drawing (Thanks to Rolf Ahrenberg)
- Fixed --aspect=auto:path_to_script option (Thanks to Armin Diedering)
- Fixed playing first track of audio CD (requires xine-lib 1.1.5)
- OS X build fixes (Thanks to Tero Siironen)
- Updated finnish translations (Thanks to Rolf Ahrenberg)
- Updated Italian translations (Thanks to Diego Pierotto)

2008-10-04: Version 1.0.2  (branch-1_0_x)
Backported bugfixes from CVS trunk:
- Fixed segfault when committing uninitialized OSD (Thanks to Rolf Ahrenberg)
- Fixed buffer errors when switching from HD channel to SD channel
- Fixed selecting DVD subtitles language from DVD menus
- Fixed setting DVD subtitles preferred language
- Fixed missing VDR OSD while playing DVDs
- Fixed DVD menu navigation when menu is not in title 0
- Fixed infinite loop when trying to replay unaccessible DVD
- Fixed infinite loop when trying to play only one unacessible or very short music file
- Fixed replaying images from network sources (http://, ...) (Thanks to Rolf Ahrenberg)
- Fixed segfault when media file meta info contains thumbnails (Thanks to Petri Helin)
- Fixed smooth trickspeed setup menu entry with VDR-1.5.10+ (Thanks to Timo Eskola)
- Fixed vdr-sxfe icon in 64-bit systems
- Fixed updating window title when protocol is part of mrl
- Fixed German translation for "Play DVD disc >>" (Thanks to Helmar Gerloni)
- Increased timeout when opening media files from network sources (Thanks to Tobias Grimm)
- OS X build fixes (Thanks to Tero Siironen)
- xine-lib 1.2 updates
- Added WM class hint ("VDR") to vdr-sxfe windows (Thanks to Rolf Ahrenberg)

2008-05-07: Version 1.0.1

- Fixed freezes while zapping and/or seeking
- Added metainfo menu to media player (Petri Helin)

2008-04-14: Version 1.0.0
- Added Italian translations (Thanks to Diego Pierotto)
- Added Czech translations (Thanks to Maya)
- Added HUD OSD (Blend OSD using graphics hardware) and --hud command-line option.
  (Thanks to Antti Seppälä and Rolf Ahrenberg)
- Added support for libextractor metadata parsing library (Petri Helin)
- Added service interface for launching media player (Suggested by Tobias Grimm) 
- Added configuration options for unsharp and denoise3d post plugins (Petri Helin)
- Fixed the case when watching image files and the first one just flashes and 
  gets replaced by black image (Petri Helin)
- Added support for VDR 1.5.x and 1.6.0
- Dropped legacy code for vdr-1.3.x
- Added support for xine-lib up to 1.1.11.1
- Added support for xine-lib 1.2 hg branch
- Changed mrl syntax from xvdr[:proto]:// to xvdr[+proto]://
- Added video softwarwe scaling support 
- Added non-linear 4:3 -> 16:9 "smart" scaling
- Added configure option for video aspect ratio (Petri Helin)
- Added media player options for enabling or disabling metainfo types, metainfo 
  scanner and metainfo caching (Petri Helin)
- Added support for smooth fast forward (Thanks to Timo Eskola)
- Added setup option to limit trick speed
- Removed support for arts audio output
- Added setup option to change external subtitle (.sub/.srt) font size
- Added command-line option for binding to specific local interface address
- Initial support for H.264 video
- Support for HD-resolution OSD (Petri Helin). Requires patched vdr.
- Increased local frontend initialization timeout (Thanks to Mikko Vartiainen)
- Removed configuration option to disable OSD downscaling
- Improved media player playlist handling and menu (Petri Helin)
- Fixed DVD menu domain detection (Petri Helin)
- Fixed DVD title and chapter information shown on the OSD (Petri Helin)
- Improved key mappings for audio player (Petri Helin)
- Allow users to add single files to playlist as well as whole directories (Petri Helin)
- Fixed "TCP fifo full" problem
- Added hotkeys for audio delay (Thanks to Timo Eskola)
- Enabled streaming of external subtitle files for remote frontends
- Added support for multithreaded video decoding. Auto-detect number of CPUs. 
- Show address of current VDR server in X title bar
- Added support to control HW aspect ratio with external script
- Added support to output video and OSD to existing X11 window
- Allow fine-tuning of SCR (should reduce frame drops/duplications and make video smoother)
- Support using ffmpeg mpeg2 video decoder instead of libmpeg2 decoder
- Improved PTS warp detection
- Restore DPMS state at exit
- Fixed sxfe window position when returning from fullscreen mode (Thanks to Timo Eskola) 

2007-05-17: Version 1.0.0rc2

- Workaround for xine-lib demux_mpeg_block PTS wrap issue
  (this should fix daily picture freezes)
- Support for denoise3d and unsharp post plugins (Thanks to Petri Helin)
- Fixed media player random play kNext (next file) handling (Thanks to Petri Helin)
- Fixed media player MsgReplaying status messages (Thanks to Petri Helin)
- Fixed closing DVD player with Back key (Thanks to Petri Helin)
- Improved media player resume file creation
- Fixed UDP segfault
- Mac OS X build fixes (Thanks to Tero Siironen)
- Updated remote.conf example
- Added support for xine-lib software volume control 
  (useful with digital audio output)
- Removed (unused) decoder priority setting
- Fixed yuy2 frame grabbing
- Adapted for xine-lib 1.1.5
- Added vdr-sxfe fullscreen and de-interlace toggling with lirc keys 
  "Fullscreen" and "Deinterlace"

2007-03-17: Version 1.0.0rc1

- PLUGIN HOMEPAGE CHANGED

- Fixed audio CD replay (cdda:/)
- Adapted for xine-lib 1.1.4
- Adapted for vdr-1.5.1 (Thanks to Rolf Ahrenberg)
- Mac OS X compability fixes (Thanks to Tero Siironen)
- DXR3 added to list of output devices (experimental; Thanks to Ville Skyttä)
- Subtitle selection menu updated to use VDR audio menu skin
- New subtitle macro key handling (identical to VDR kAudio)
- Added preferred subtitle language selection for media player
- Updated trick speed modes and still image handling
- Remote mode can now survive longer network delays
- Fixed tvtime options (Thanks to Petri Helin)
- Fixed using video driver "none"
- Simple "slave mode" for remote frontends
- Added automatic re-connection to remote frontends (--reconnect option)
- Slow down DVD drive speed
- Initialize video size from stream info when playing slave streams,
  (Thanks to Antti Seppälä)
- Makefile shell scripts modified to run in dash (Ubuntu). 
  (Thanks to realKano@directbox.com)
- Increased frame-based buffering time after channel changes
- Use iconv to translate id3 tags from utf8 to VDR charset
- Use /dev/dsp as OSS default device (Thanks to Ville Skyttä)
- Lot of small fixes and enhancements, complete log in CVS

2007-01-07: Version 1.0.0pre7

- Added possibility to add files to playlist
- Added playlist menu to media player
- Added "Play Audio CD" / "Play remote Audio CD" entry to plugin menu
- Makefile modified to allow overriding default directory environment.
  Using "install" to install files. (Thanks to Timo Weingärtner)
- Added metainfo caching to media player. Cached metainfo is stored to
  ".xineliboutput-playlist.m3u" files by default.
- Added support for playlists inside playlists
  (ex. http://.../?.pls entries in playlists)
- Added playlist HTTP download support to playlists (curl required)
- lirc forwarding updated (synced with vdr-1.4.3-2): added re-connecting to lircd.
- Lirc forwarding key repeat fixed (Thanks to Timo Ruottinen).
- Display metainfo (ID3 etc) instead of file name in (audio)player
- Fixed deadlock in audio post plugin loading and wiring
  (in some cases plugins were loaded multiple times)
- Fixed buffer overflow problems in xineliboutput device polling
- Fixed buffer overflow problems in UDP packet scheduler queue
- Several new media file types added to media player
- Subtitle type .ssa added
- Parsing for .pls, .asx and .ram playlists added
- Eliminated some warnings when compiling to 64bit (Thanks to Anssi Hannula)
- Vidix(fb) added to supported video drivers (Thanks to Antti Seppälä)
- Media player/audio file browser does not anymore show video files
- When replaying music files, replay moves to next file automatically
- Decoder setup menu moved to Local setup menu 
  (decoder settings have effect on local frontend only)
- Implemented simple RTSP streaming support (rtsp://vdr-host:xineliboutput-port/)
- Implemented simple HTTP streaming support (http://vdr-host:xineliboutput-port/)
- Fixed control channel disconnection detection in frontend_svr.c
- Media player: Try to detect when navigating in DVD menus and change
  functions of Up/Down/Left/Right/Ok/Back keys when in menus
- Added RFC2974 SAP (Session Announcement Protocol) implementation
- Now using RFC3550 RTP headers when multicasting

2006-10-20: Version 1.0.0pre6

- Display Audio track languages when replaying DVDs
- Display DVD SPU track language names instead track numbers
- Improved shortcut key support
- Fixed garbage in bottom of image when using autocrop
- Fixed SCR tunning when only one TCP/PIPE client
- Fixed unscaled OSD scaling to display size when low-resolution video or
  different aspect ratio
- Allow overriding default startup image
- German translations (Thanks to Udo Richter)
- Setup menu re-arranged
- Command-line given post plugin parameters are never changed at runtime
- Added string length checks to several places
- Added missing frame buffer device selection
- Support for ffmpeg post processing
- Easier configuration for tvtime post plugin in menu
- Autoplay list support for xine (patch from sf feature request #1561688)
- Removed busy loop from vdr-fbfe/vdr-sxfe when console was unavailable

2006-09-17: Version 1.0.0pre5

- Allow overriding default no signal image
- Several fixes to post plugin handling
- Fixed --audio=driver:port parsing in vdr plugin
- Fixed overscan when image does not fill whole output window
  (bug #1556912)
- Implemented simple MMX/SSE and YUY2 detection routines 
  to autocrop
- Main menu re-arranged (Thanks to Petri Helin)
- Fixed display blanking aspect ratio (bug #1554070)
- Lirc receiver accepts shorter LIRC commands (bug #1540896)
- Fixed immediate re-configuration when setup entries are 
  changed with repeated keys (Thanks to Petri Helin)
- Implemented audio channel selection as xine post plugin
  (to select only left or right channel from stereo)
- Several minor fixes / enhancements to autocrop plugin

2006-09-06: Version 1.0.0pre4

- WARNING: updated command-line options !
- Support for HD (larger buffers with HD content)
- Simple playlist support to media player
- Fixed starting replay of new file while old file is still playing
- Fixed segfault in OSD downscaling
- Added SPU track selection for DVDs without menu
- Forcing order and location of video filter post plugins 
  autocrop and tvtime in post plugin chain
- Fixed replaying some older VDR recordings (video PID != 0xE0)
  (Reported by Petri Helin)
- Fixed deadlock when closing xine input plugin and threads
  in TCP mode (reported by Tobias Grimm)
- Fixed wrong XKeySym remote learning trigger when using fbfe
  (reported by Voitto Tuomainen)
- Minor updates to playlists and file replay OSD handling
- Added trick speed modes (forward only) to DVD player
- Improved X11 fullscreen <-> window mode switching
- Improved display blanking: blank image is now generated using
  last seen video frame size and aspect ratio. This should reduce
  OSD resizings and re-positioning when switching channels.

2006-08-25: Version 1.0.0pre3

- Fixed segfault when grabbing with remote-only frontends
- Configurable speaker configuration and spdif passthru
- Support for playlists (.m3u or whole directory) in media player
- Separate menu item for playing music
- Configuration options for letterbox cropping
- Added audio visualization support for media files 
  (originally supported only with DVB radio)
- Implemented image grabbing for remote frontends
- Fixed restoring primary device when using tcp transport
- Executing primary device switching in main thread context
- Added configurable overscan option (%) to crop frame borders
  when using displays without overscan

2006-08-16: Version 1.0.0pre2

- Xine plugins and frontends are not installed automatically.
  (Suggested by Udo Richter).
- Added support for AC3 passthrough (thanks to Petri Helin)
- Automatic 4:3 letterbox to 16:9 cropping pre-version
- Added daemon mode to stand-alone frontends
- Removed possible busy loop from lirc receiver thread
- New localized texts
- Fixed local media player when remote server is active and there are no clients
- Option for audio-only playback (discards video)
- Fixed DVD navigation in local mode (Thanks to Petri Helin)
- Completed simple playlist support
  (play all media files in folder ; play .m3u playlist)

2006-07-23: Verson 1.0.0pre1

- Added DVD playback and navigation support to media player
- Added support for DVD subtitles in VDR recordings
- Fixed audio surround mode (Thanks to Petri Helin)
- Added option to disable keyboard input in vdr-fbfe and vdr-sxfe
  (required when running as daemon)
- Fixed OSD updating, closing and re-scaling under high system load

2006-07-05: Version 0.99

- Finished implementing audio stream switching
- Improved VDR server detection and refused connection handling
- Added option to close VDR when local frontend window is closed
- Added always-on-top mode, window title and icon to vdr-sxfe

2006-06-12: Version 0.99rc5
- OSD endian problems fixed
- More x64 fixes (Thanks to Anssi Hannula)
- Better TCP and PIPE disconnection detection
- Fixed possible race conditions in xine input plugin
- Fixed image player (reported by Petri Helin)
- Improved (?) X11 fullscreen mode
- X11 fullscreen mode can be toggled by double-clicking window

2006-06-03: Version 0.99rc4

- Fixed missing audio after trick speed modes (thanks to Tero Saarni)
- Fixed fullscreen size detection with frame buffer / DirectFB
- Added unscaled OSD capability check for framebuffer / DirectFB

2006-06-02: Version 0.99rc3

- OSD is scaled to display resolution instead of video resolution 
  when using unscaled OSD
- OSD is re-centered when resolution is slighty different from 720x576
- Added configuration options for multicast parameters (address, port, TTL)
- Added option to set multicast transmission always on for third-party 
  clients (vlc, ...)
- Some new x64 fixes
- Several configuration menu fixes
- Fixed compilation problem with xine-lib < 1.1.2
- Fixed missing audio after trick speed modes (thanks to Tero Saarni)

2006-05-18: Version 0.99rc2

- Fixed control input deadlock when using xine-ui
- Experimental automatic primary device mode included
- Fixed remote frontend keyboard handling for escape sequences
- Added several new command-line options to stand-alone frontends
- Adapted for vdr 1.4.0
- Fixed automatic server discovery
- Fixed fullscreen mode when screen resolution != 720x576
- Fixed --local=none option (reported by Ulf Betlehem)
- Faster channel switching
- Fixed --post option
- Fixed several endian problems and byte ordering in network modes 
  (reported by Carsten Rietzschel)
- Fixed segmentation fault when frontend was executed from path 
  (reported by Carsten Rietzschel)
- Fixed amd64 compilation problems (reported by Voitto Tuomainen)
- Many finnish menu texts updated (patch provided by Rolf Ahrenberg)
- Socket option SO_REUSEADDR added to several places to speed 
  up VDR restart

2006-04-08: Version 0.99rc

- Fixed compilation problems with gcc 3.4.5 (timer.h, osd.c). 
  (reported by Gavin Hamill and Voitto Tuomainen)
- Suspend mode removed (it is now implemented only as separate plugin)
- Fixed X11 keyboard input handling
- Faster seeks and channel switches in udp and rtp streaming modes
- Fixed disconnection when playing to end of avi file
- Fixed multi-speed modes (reported by Vladimir Monchenko)
- Updated russian translations (thanks to Vladimir Monchenko)
- Pipe transport fixed

2006-03-28: Version 0.99pre

- Russian translations (thanks to Vladimir Monchenko)
- New de-interlacing methods and options
- Updated for vdr 1.3.43
- Support for xine post-processing plugins
- Stand-alone frontends can now automatically find 
  vdr (xineliboutput) server from network.
- Makefile modified to auto-detect vdr.
  If vdr is not installed, only stand-alone frontends and 
  xine plugin are compiled. 
  (use "make frontends" in plugin source directory)
- Xine plugin is automatically copied to xine's plugin directory
  instead of statically linking it to frontends.
  -> any xine frontend can be used.
- All logging goes to syslog and honors vdr's logging level

2005-11-22: Version 0.4

- Updated for xine-lib 1.1.0 and 1.1.1
- Framebuffer and DirectFB frontend is now tested and working.
- Remote frontends tested and working (TCP/UDP/RTP).
- README updated.
- Frontend is now loaded dynamically if needed.
  VDR part of plugin is not anymore linked against xine-lib and X11.
  -> plugin itself can be compiled and used without installing xine
     and/or X11 to VDR machine.
  Frontends still need X11 and/or xine-lib.
- Makefile modified to auto-detect xine-lib and X11.
  If X11 is not installed, only framebuffer frontend is compiled.
  If xine-lib is not installed, frontends are not compiled (-> only
  remote frontends can be used).
- Updated for vdr 1.3.34 
- Stand-alone frontends (sxfe and fbfe) can now forward lirc keys to VDR.
- New command-line parameters: frontend type, video driver and audio driver.
- Command-line parameters now override saved configuration parameters.

- Updated for xine-lib 1.0.1

2005-02-17: Version 0.3

- Updated for vdr 1.3.19 and xine-lib 1.0
- Direct playback of all xine-supported media types
  (+ automatic loading of external .srt/.sub subtitles)
- Support for http/rtsp network streams
- Image viewer
- New configuration options
- Improved OSD support for low-resolution video
- OSD performance optimizations
- Improved X server detection
- Support for xxmc output driver
- Support for DVB radio streams
- Support for audio visualization plugins

2004-08-19: Version 0.2

- Tested with VDR versions 1.2.6, 1.3.7 and 1.3.12
- Modified to compile with xine-lib 1.0.0 (rc4)
- New configuration options
- Decoder can be stopped manually or using inactivity timer
- Support for image grabbing
- Support for localization (i18n)

2003-12-20: Version 0.1

- Modified to compile with xine-lib 1.0.0 (rc2)
- Support for Xshm, Xv and XvMC.
- Audio driver and port can be selected (alsa,oss,...)
- X11 display location configurable (in setup.conf, 
  OSD menu or usind DISPLAY environment variable)
- Support for unscaled OSD (requires XShape X server extension)
- Support for deinterlacing
- Multiple bug fixes
- Many new configuration options
- Support for DVD plugin (GetSTC)
- Support for VDR Make.config

2003-09-10

- C Compilation problems fixed
- OSD scaling fixed

2003-05-23: Version 0.0.0

- Initial revision.


